package question4;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

public class ArbreTest {

	Arbre arbre1;
	Arbre arbre2;

	@Before
	public void setup() throws Exception{
		arbre1 = Arbre.buildTree("a");

		arbre2 = Arbre.buildTree("baob");
	}

	@Test
	public void testBuildTree() {
		assertEquals("La lettre n'est pas dans une feuille simple",
				((Feuille)arbre1).lettre, 'a');
		assertEquals("La fréquence est mauvaise dans une feuille simple",
				((Feuille)arbre1).frequence, 1 );

		assertEquals(arbre2.frequence, 4 );
		Feuille feuilleB = (Feuille)((Noeud)arbre2).filsGauche;
		assertEquals(feuilleB.frequence, 2);
		assertEquals(feuilleB.lettre, 'b');
		Noeud noeudDroit = (Noeud)((Noeud)arbre2).filsDroit;
		assertEquals(noeudDroit.frequence, 2);
		Feuille feuilleA = (Feuille)noeudDroit.filsGauche;
		assertEquals(feuilleA.lettre, 'a');
		assertEquals(feuilleA.frequence, 1);
		Feuille feuilleO = (Feuille)noeudDroit.filsDroit;
		assertEquals(feuilleO.lettre, 'o');
		assertEquals(feuilleO.frequence, 1);
	}

}
