package questioncomplementaire;

/**
 * @author galtier
 * 
 * Cette classe représente un noeud d'un arbre de Huffman.
 *
 */
public class Noeud extends Arbre {
	final Arbre filsGauche, filsDroit;

	/**
	 * 
	 * @param filsGauche fils gauche du noeud
	 * @param filsDroit fils droit du noeud
	 */
	public Noeud(Arbre filsGauche, Arbre filsDroit) {
		super(filsGauche.frequence + filsDroit.frequence);
		this.filsGauche = filsGauche;
		this.filsDroit = filsDroit;
	}
}